/**
 * Stock Info Pattern
 */

.pyrum-stock-info {
	margin-bottom: var(--wp--preset--spacing--50, 2rem);
	display: grid;
	grid-template-columns: repeat(7, 1fr);
	gap: 0;
}

.pyrum-stock-info__item {
	padding: var(--wp--preset--spacing--30, 1rem) var(--wp--preset--spacing--20, 0.5rem);
	border-right: 1px solid var(--wp--preset--color--black);
	margin: 0 !important;
	text-align: center;
}

.pyrum-stock-info__item:first-child {
	border-left: 1px solid var(--wp--preset--color--black);
}

.pyrum-stock-info__label,
.pyrum-stock-info__value {
	margin: 0 !important;
	font-size: var(--wp--preset--font-size--medium, 16px);
	line-height: 1.4;
	text-align: center;
}

.pyrum-stock-info__label {
	font-weight: 700;
	margin-bottom: var(--wp--preset--spacing--30, 1rem) !important;
}

.page-investor-relations .pyrum-stock-info__label {
	min-height: 46px;
}

.pyrum-stock-info__value {
	font-weight: 400;
}

/* Responsive */
@media (max-width: 1024px) {
	.pyrum-stock-info {
		grid-template-columns: 1fr;
		width: 100%;
	}

	.pyrum-stock-info__item {
		border-right: none;
		border-left: none;
		border-bottom: 1px solid var(--wp--preset--color--black);
		padding: var(--wp--preset--spacing--30, 1rem);
		width: 100%;
		margin: 0 !important;
		text-align: left;
	}

	.pyrum-stock-info__item:last-child {
		border-bottom: none;
	}

	.pyrum-stock-info__item:first-child {
		border-left: none;
	}

	.pyrum-stock-info__label {
		margin-bottom: var(--wp--preset--spacing--20, 0.5rem) !important;
	}

	.pyrum-stock-info__value {
		text-align: left;
	}
}

@media (max-width: 782px) {
	.pyrum-stock-info__label {
		text-align: left;
	}

	#chartFrame {
		height: 2000px !important;
	}
}
